# The Clipper C++ crystallographic library already uses the name "clipper".
# The developer is fine with the choosen name.

# API monitoring
# http://upstream-tracker.org/versions/clipper.html

Name:           polyclipping
Version:        4.9.6
Release:        1%{?dist}
Summary:        Polygon clipping library

Group:          System Environment/Libraries
License:        Boost
URL:            http://sourceforge.net/projects/polyclipping
Source0:        http://downloads.sourceforge.net/%{name}/clipper_ver%{version}.zip

BuildRequires:  cmake
BuildRequires:  dos2unix

%description
This library primarily performs the boolean clipping operations -
intersection, union, difference & xor - on 2D polygons. It also performs
polygon offsetting. The library handles complex (self-intersecting) polygons,
polygons with holes and polygons with overlapping co-linear edges.
Input polygons for clipping can use EvenOdd, NonZero, Positive and Negative
filling modes. The clipping code is based on the Vatti clipping algorithm,
and outperforms other clipping libraries.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -qc

# Delete binaries
find . \( -name "*.exe" -o -name "*.dll" \) -delete

#TODO
# Correct line ends and encodings
find . -type f -exec dos2unix -k {} \;

pushd perl
  iconv -f iso8859-1 -t utf-8 perl_readme.txt > perl_readme.txt.conv && \
    touch -r perl_readme.txt perl_readme.txt.conv && \
    mv perl_readme.txt.conv perl_readme.txt
popd


%build
pushd cpp
  %cmake
  make %{?_smp_mflags}
popd


%install
pushd cpp
  make install DESTDIR=%{buildroot}
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc License.txt README
%doc Haskell perl ruby Documentation
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%changelog
* Thu Nov 15 2012 Volker Fröhlich <volker27@gmx.at> - 4.9.6-1
- New upstream release

* Thu Sep 20 2012 Volker Fröhlich <volker27@gmx.at> - 4.8.8-1
- New upstream release

* Sat Jul 21 2012 Volker Fröhlich <volker27@gmx.at> - 4.8.5-1
- New upstream release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 25 2012 Volker Fröhlich <volker27@gmx.at> - 4.7.6-2
- Ship latest upstream sources and adapt to changes in build system
- Own subdirectory in includedir
- Keep timestamps with dos2unix

* Thu Apr 12 2012 Volker Fröhlich <volker27@gmx.at> - 4.7.6-1
- Initial package
